Bug 685043 - Missing %post and %preun scriptlet dependencies
Missing %post and %preun scriptlet dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-15 02:45 EDT by Panu Matilainen
Modified: 2015-01-12 01:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 01:34:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panu Matilainen 2011-03-15 02:45:46 EDT
Description of problem:
wpa_supplicant calls chkconfig, service and killall in its scriptlets but does not have dependencies for them. This can cause warnings on install, and failure to remove the package at all.

Version-Release number of selected component (if applicable):
wpa_supplicant-0.7.3-4.fc15 (rawhide, f15)

How reproducible:
Always

Steps to Reproduce:
1. yum --disablerepo="*" --enablerepo=rawhide --installroot=/home/test/ -y install wpa_supplicant
2. rpm -e --root /home/test/ wpa_supplicant
  
Actual results:

From step 1:
  Installing : 1:wpa_supplicant-0.7.3-4.fc15.x86_64                       53/53 
Non-fatal POSTIN scriptlet failure in rpm package 1:wpa_supplicant-0.7.3-4.fc15.x86_64
/var/tmp/rpm-tmp.AL8rjg: line 2: chkconfig: command not found
warning: %post(wpa_supplicant-1:0.7.3-4.fc15.x86_64) scriptlet failed, exit status 127

From step 2:
/var/tmp/rpm-tmp.h834u9: line 4: /sbin/chkconfig: No such file or directory
error: %preun(wpa_supplicant-1:0.7.3-4.fc15.x86_64) scriptlet failed, exit status 127
error: wpa_supplicant-1:0.7.3-4.fc15.x86_64: erase failed

Expected results:
No warnings/errors on install or erase.

Additional info:
The following additional dependencies are needed for clean operation (file vs package deps are largely a matter of taste here):

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig /sbin/service /usr/bin/killall

Also the (eventual) migration to native systemd usage will probably affect these, the above are for the scriptlets as they are now.
Comment 1 Fedora End Of Life 2013-04-03 10:22:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora End Of Life 2015-01-09 11:36:22 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Panu Matilainen 2015-01-12 01:34:44 EST
This has gotten fixed long, long ago, prior to F18 it seems via the systemd switch:

* Tue May  1 2012 Dan Williams <dcbw@redhat.com> - 1:1.0-0.4
- Update to wpa_supplicant 1.0-rc3
- Fix systemd target dependencies (rh #815091)

Note You need to log in before you can comment on or make changes to this bug.